- Main
- Tutorials
- Library
- Samples

Modules | Functions
AO
Library

## Modules
| AO_RANGE

## Functions
IOTHINX_ERR | ioThinx_AO_GetEngs (uint32_t slot, uint8_t start, uint8_t count, float buf[])
IOTHINX_ERR | ioThinx_AO_SetEngs (uint32_t slot, uint8_t start, uint8_t count, float buf[])
IOTHINX_ERR | ioThinx_AO_GetRaws (uint32_t slot, uint8_t start, uint8_t count, uint16_t buf[])
IOTHINX_ERR | ioThinx_AO_SetRaws (uint32_t slot, uint8_t start, uint8_t count, uint16_t buf[])
IOTHINX_ERR | ioThinx_AO_GetStatuss (uint32_t slot, uint8_t start, uint8_t count, uint8_t buf[])
IOTHINX_ERR | ioThinx_AO_Config_GetRanges (uint32_t slot, uint8_t start, uint8_t count, uint8_t buf[])
IOTHINX_ERR | ioThinx_AO_Config_SetRanges (uint32_t slot, uint8_t start, uint8_t count, uint8_t buf[])

## Detailed Description

Sample Code:
ao.c

## Function Documentation

IOTHINX_ERR ioThinx_AO_GetEngs | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | float | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [out] | buf | An array that stores the AO eng data for the contiguous channels. buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

IOTHINX_ERR ioThinx_AO_SetEngs | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | float | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [in] | buf | An array that stores the AO eng data for the contiguous channels. buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

IOTHINX_ERR ioThinx_AO_GetRaws | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | uint16_t | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [out] | buf | An array that stores the AO raw data for the contiguous channels. buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

IOTHINX_ERR ioThinx_AO_SetRaws | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | uint16_t | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [in] | buf | An array that stores the AO raw data for the contiguous channels. buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

IOTHINX_ERR ioThinx_AO_GetStatuss | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | uint8_t | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [out] | buf | An array that stores the AO status for the contiguous channels. buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

IOTHINX_ERR ioThinx_AO_Config_GetRanges | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | uint8_t | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [out] | buf | An array that stores the AO range for the contiguous channels. buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

IOTHINX_ERR ioThinx_AO_Config_SetRanges | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | uint8_t | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [in] | buf | An array that stores the AO range for the contiguous channels. buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.